import { OnChanges, SimpleChanges } from '@angular/core';
import { AbstractControl, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
/**
 * Angular form directives for min/max.
 */
export declare class MaxValidatorDirective implements Validator, OnChanges {
    private _validator;
    private _onChange;
    max: string | number;
    get maxValue(): string | number;
    ngOnChanges(changes: SimpleChanges): void;
    validate(c: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange(fn: () => void): void;
    private _createValidator;
    static ɵfac: i0.ɵɵFactoryDeclaration<MaxValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MaxValidatorDirective, "[max][formControlName],[max][formControl],[max][ngModel]", never, { "max": "max"; }, {}, never, never, false>;
}
export declare class MinValidatorDirective implements Validator, OnChanges {
    private _validator;
    private _onChange;
    get maxValue(): string | number;
    min: string | number;
    ngOnChanges(changes: SimpleChanges): void;
    validate(c: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange(fn: () => void): void;
    private _createValidator;
    static ɵfac: i0.ɵɵFactoryDeclaration<MinValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MinValidatorDirective, "[min][formControlName],[min][formControl],[min][ngModel]", never, { "min": "min"; }, {}, never, never, false>;
}
